<%@ Page Language="C#" Inherits="ApplicationMap.Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head runat="server">
	<title>Applications Map</title>
	<link type="text/css" rel="stylesheet" href="css/styles.css" media="all" />
	<link type="text/css" rel="stylesheet" href="css/ui-lightness/jquery-ui-1.8.16.custom.css" media="all" />
</head>
<body>
	<form id="form1" runat="server">
		<div id="container">
			<div class="right">
				<a href="Logout.aspx">Logout</a>
			</div>
			<div class="clear"></div>
			<div id="header">
				
				<p>
					<label for="configDirs">Configuration root directory:</label>
					<select id="configDirs">
					</select>
				</p>
				<p>
					<a href="#" id="load-configuration">Load configuration</a>
					<a href="#" id="validate-all">Validate all</a>
				</p>
			</div>
			<div id="wrapper">
				<div id="content">
					<div id="applications-map"></div>
				</div>
			</div>
			<div id="navigation">
				<div id="applications-list-filter">
					<h2>Search:</h2>
					<p>
						<input type="text" id="applications-list-search-text" value="" />
						<a href="#" id="applications-list-search-apply">Search</a>
						<a href="#" id="applications-list-show-filter">Filter</a>
						<a href="#" id="applications-list-filter-show-all">Show All</a>
					</p>
					<div id="filter">
				        <p>Filter</p>	
						<p>
							<label for="hasDatabases">Uses databases</label>
							<input type="checkbox" id="hasDatabases" value="uses-databases" />
						</p>
						<p>
							<label for="hasWebservices">Uses webservices</label>
							<input type="checkbox" id="hasWebservices" value="uses-webservices" />
						</p>
						<p>
							<label for="hasQueues">Uses queues</label>
							<input type="checkbox" id="hasQueues" value="uses-queues"/>
						</p>
					</div>
				</div>
				
				<ul id="applications-list">
				</ul>
			</div>
			<div id="infoWindow"></div>
			<div id="footer"><p></p></div>
		</div>
			<div id="tip">Tooltip</div>
	</form>
	
	<script type="text/javascript" src="js/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.16.custom.min.js"></script>
	<script type="text/javascript" src="js/raphael-min.js"></script>
	<script type="text/javascript" src="js/raphael-connection-min.js"></script>
	<script type="text/javascript" src="js/jquery.cookie.js"></script>
	<script type="text/javascript" src="js/php.default.min.js"></script>
	<script type="text/javascript" src="js/applications-map.js"></script>
</body>
</html>